Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Konfigurationseigenschaften ändern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Konfigurationseigenschaften ändern (5870 mal gelesen)
D.Loistl
Mitglied
Konstrukteur


Sehen Sie sich das Profil von D.Loistl an!   Senden Sie eine Private Message an D.Loistl  Schreiben Sie einen Gästebucheintrag für D.Loistl

Beiträge: 505
Registriert: 17.04.2001

Core i7-4770 3,4GHz; 8GB Ram; NVIDIA Quadro 4000; Win7x64 ; ME10 17,00B; SWX 2013 SP4.0

erstellt am: 09. Okt. 2002 09:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Gemeinde.

Heute habe ich mal eine Frage.

Ich habe ein Profil. Da gibt es füe die verschiedenen Längen je eine Konfiguration. (Sind sehr viele)
Ist es möglich, bei allen Konfigurationen gleichzeitig in den Konfigurationseigenschaften die Eigenschaft für neu eingefügte Elemente (Features unterdrücken) einzustellen?

Währe echt ne Hilfe!

Danke

------------------
Grüße aus dem Schwabenland

Dieter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Beere
Mitglied
Dipl.-Ing. Maschinenbau


Sehen Sie sich das Profil von Beere an!   Senden Sie eine Private Message an Beere  Schreiben Sie einen Gästebucheintrag für Beere

Beiträge: 1435
Registriert: 31.07.2001

Pro/E 2001
Wildfire 2
SWX 2013
HP Z400; 4GB

erstellt am: 09. Okt. 2002 12:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für D.Loistl 10 Unities + Antwort hilfreich

Hi...

Ich sitz gerade vor ner ganz andere Problematik mit ner anderen Weichware, aber hab da nen Vorschlag...alle Konfigs selektieren (mit SHIFT-Taste auf erste und letzte Konfiguration) und dann über die RMT in den Eigenschaften das gewünschte einstellen....

...geht das ?!?

Gruß
Andreas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

D.Loistl
Mitglied
Konstrukteur


Sehen Sie sich das Profil von D.Loistl an!   Senden Sie eine Private Message an D.Loistl  Schreiben Sie einen Gästebucheintrag für D.Loistl

Beiträge: 505
Registriert: 17.04.2001

Core i7-4770 3,4GHz; 8GB Ram; NVIDIA Quadro 4000; Win7x64 ; ME10 17,00B; SWX 2013 SP4.0

erstellt am: 09. Okt. 2002 12:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Beere.

Leider nicht. Hatte ich als erstes versucht. 

Da wird nur in der Konfig geändert, welche in dem Eigenschaftenfenster oben drin steht. 

------------------
Grüße aus dem Schwabenland

Dieter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Peter_H
Mitglied
Konstrukteur/CAD-Admin


Sehen Sie sich das Profil von Peter_H an!   Senden Sie eine Private Message an Peter_H  Schreiben Sie einen Gästebucheintrag für Peter_H

Beiträge: 171
Registriert: 30.08.2001

erstellt am: 09. Okt. 2002 14:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für D.Loistl 10 Unities + Antwort hilfreich

Hallo Dieter

Wenn ich dich richtig verstehe, dann kannst du über die Tabelle auch die Dateieigenschaften bei jeder Konfig eintragen:

z.B.:  $PRP@Teilenummer  als Spalte in der Tabelle

Für eine neue Konfig einfach dann die gewünschte Zeile im EXCEL kopieren und den Konfig-Namen umbenennen.
Hat zudem den riesen Vorteil, dass man hierbei besser die Übersicht behält.

mfg
Peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

D.Loistl
Mitglied
Konstrukteur


Sehen Sie sich das Profil von D.Loistl an!   Senden Sie eine Private Message an D.Loistl  Schreiben Sie einen Gästebucheintrag für D.Loistl

Beiträge: 505
Registriert: 17.04.2001

Core i7-4770 3,4GHz; 8GB Ram; NVIDIA Quadro 4000; Win7x64 ; ME10 17,00B; SWX 2013 SP4.0

erstellt am: 09. Okt. 2002 15:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Peter.

Ja richtig. Aber damit kann man nicht die Konfigurationseigenschaften ändern. Sprich daß neue Elemente in den anderen Konfigurationen unterdrückt werden.

Aber ich habe da inzwischen  (mit nem kleinen Denkanstoß von meinem Suport) ein kleines Makro gebastelt.
Dat Ding funktioniert sogar ! (Wow) 

Dim swApp As Object
Dim Part As Object
Dim numConfigs As Long
Dim Names As Variant
Dim boolstatus As Boolean
Dim longstatus As Long
Dim Annotation As Object
Dim Gtol As Object
Dim DatumTag As Object
Dim FeatureData As Object
Dim Feature As Object
Dim Component As Object

Sub main()

Set swApp = CreateObject("SldWorks.Application")
Set Part = swApp.ActiveDoc

' How many configurations do we have?
numConfigs = Part.GetConfigurationCount()

' Store the names of the configurations
Names = Part.GetConfigurationNames()

For i = 0 To (numConfigs - 1)
Part.EditConfiguration Names(i), Names(i), "", "", 1, 0, 0, 1, 5
Next

' Clean up variables
Set Part = Nothing
Set swApp = Nothing

End Sub


Aber Achtung! Bei vielen Konfigs dauert das eine Weile!

------------------
Grüße aus dem Schwabenland

Dieter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gismo
Mitglied
SWX Support


Sehen Sie sich das Profil von gismo an!   Senden Sie eine Private Message an gismo  Schreiben Sie einen Gästebucheintrag für gismo

Beiträge: 1047
Registriert: 05.03.2001

Dell M6600;
8GB Ram;
QuadroFX3000m
WIN7 Pro X64;
Alle SWX ;)

erstellt am: 15. Nov. 2002 11:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für D.Loistl 10 Unities + Antwort hilfreich


configPropChange.zip

 
Hallo Dieter,
heute hab ich Dein Makro auch brauchen können 
Funzt wunderbar!
Aber da ich das Ding u´nseren anderen Usern auch zur verfügung stellen möchte, hab ich das Ding um eine UserForm erweitert.
(viele Unserer User habe keine Ahnung von VBA) 
Ich hab das Makro mal angehängt, evtl. können auch noch andere davon profitieren.

------------------
Viele Grüße aus dem Schwarzwald
gismo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanBerlitz
Guter-Geist-Moderator
IT Admin (CAx)



Sehen Sie sich das Profil von StefanBerlitz an!   Senden Sie eine Private Message an StefanBerlitz  Schreiben Sie einen Gästebucheintrag für StefanBerlitz

Beiträge: 8613
Registriert: 02.03.2000

SunZu sagt:
Analysiere die Vorteile, die
du aus meinem Ratschlag ziehst.
Dann gliedere deine Kräfte
entsprechend und mache dir
außergewöhnliche Taktiken zunutze.

erstellt am: 15. Nov. 2002 11:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für D.Loistl 10 Unities + Antwort hilfreich

Hallo zusammen,

schnuckeliges kleines Ding 

@Dieter und gismo: beim nächsten Update setze ich es mit in die Makro-Tauschbörse, wenn ihr nichts dagegen habt.

Ciao,
Stefan

------------------
Inoffizielle deutsche SolidWorks Hilfeseite
http://solidworks.cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

D.Loistl
Mitglied
Konstrukteur


Sehen Sie sich das Profil von D.Loistl an!   Senden Sie eine Private Message an D.Loistl  Schreiben Sie einen Gästebucheintrag für D.Loistl

Beiträge: 505
Registriert: 17.04.2001

Core i7-4770 3,4GHz; 8GB Ram; NVIDIA Quadro 4000; Win7x64 ; ME10 17,00B; SWX 2013 SP4.0

erstellt am: 15. Nov. 2002 12:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Gismo.

Echt klasse.
So wird aus einel auf die schnelle gebastelten Macro ein richtiges Proggi.

------------------
Grüße aus dem Schwabenland

Dieter 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gismo
Mitglied
SWX Support


Sehen Sie sich das Profil von gismo an!   Senden Sie eine Private Message an gismo  Schreiben Sie einen Gästebucheintrag für gismo

Beiträge: 1047
Registriert: 05.03.2001

Dell M6600;
8GB Ram;
QuadroFX3000m
WIN7 Pro X64;
Alle SWX ;)

erstellt am: 15. Nov. 2002 13:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für D.Loistl 10 Unities + Antwort hilfreich

Klar Stefan,
Das Makro kannst Du gerne auf Deine Seite setzen

@Dieter: keine Ursache. Ich bastel halt gerne an Makros rum 

------------------
Viele Grüße aus dem Schwarzwald
gismo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

malcom
Mitglied
Konstrukteur / PDM Spezialist


Sehen Sie sich das Profil von malcom an!   Senden Sie eine Private Message an malcom  Schreiben Sie einen Gästebucheintrag für malcom

Beiträge: 327
Registriert: 20.02.2001

erstellt am: 30. Apr. 2004 09:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für D.Loistl 10 Unities + Antwort hilfreich

Gesucht und gefunden. Was man mit den richtigen Suchbegriffen (Konfiguration Eigenschaften Elemente) so alles findet, unglaublich.

Besten Dank für die Makros. U's sind unterwegs.

------------------
Grüsse
Fabian David Rubli

 
Lachen tut gut an Leib und Seele. (unbekannt)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

D.Loistl
Mitglied
Konstrukteur


Sehen Sie sich das Profil von D.Loistl an!   Senden Sie eine Private Message an D.Loistl  Schreiben Sie einen Gästebucheintrag für D.Loistl

Beiträge: 505
Registriert: 17.04.2001

Core i7-4770 3,4GHz; 8GB Ram; NVIDIA Quadro 4000; Win7x64 ; ME10 17,00B; SWX 2013 SP4.0

erstellt am: 25. Okt. 2006 11:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Gismo.

Ich habe einen kleinen Verbesserungsvorschlag für das Macro.

Kann man bei der "Speichern Option" einen Knopf einbauen, wo dann ein "File-Browser" (oder wie man so ein Ding Bezeichnet  ) aufgeht, damit man ein Verzeichniss wählen kann?

Währ auf jeden Fall wünschenswert. 

------------------
Grüße aus dem Schwabenland

Dieter 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de